[arch-commits] Commit in kernel26-lts/trunk (PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Wed Aug 4 18:25:50 EDT 2010


    Date: Wednesday, August 4, 2010 @ 18:25:49
  Author: andyrtr
Revision: 86815

upgpkg: kernel26-lts 2.6.32.17-2
fix broadcom card issues

Modified:
  kernel26-lts/trunk/PKGBUILD

----------+
 PKGBUILD |   11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-08-04 21:16:09 UTC (rev 86814)
+++ PKGBUILD	2010-08-04 22:25:49 UTC (rev 86815)
@@ -6,7 +6,7 @@
 _kernelname=${pkgname#kernel26}
 _basekernel=2.6.32
 pkgver=${_basekernel}.17
-pkgrel=1
+pkgrel=2
 arch=('i686' 'x86_64')
 license=('GPL2')
 url="http://www.kernel.org"
@@ -15,12 +15,14 @@
 	# the main kernel config files
         config config.x86_64
         # standard config files for mkinitcpio ramdisk
-        ${pkgname}.preset)
+        ${pkgname}.preset
+	BCM43XX.patch)
 md5sums=('260551284ac224c3a43c4adac7df4879'
          'ca9a0f5c28803e9231dc9ee5b0faa863'
          '96ff0f63b9ef17cfa95a409cbf9b301e'
          'b614ef168f0bcfe2b3ae4ab6fbad971a'
-         'a13338958d1b241f8dfd4c6014cad3d4')
+         'a13338958d1b241f8dfd4c6014cad3d4'
+         '033bdbc810f419af4f3e53bb8faaf828')
 
 build() {
   cd ${srcdir}/linux-$_basekernel
@@ -29,6 +31,9 @@
      patch -Np1 -i ${srcdir}/patch-$pkgver
    fi
 
+  # fix broken broadcom lan and wlan cards. https://bugzilla.kernel.org/show_bug.cgi?id=16505
+  patch -Np1 -i $srcdir/BCM43XX.patch || return 1
+
   if [ "$CARCH" = "x86_64" ]; then
     cat ../config.x86_64 >./.config
   else



More information about the arch-commits mailing list